> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Position Limits

> Retrieves position limits for all firms that the user has access to.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json get /rest/v2/firm-position-limits
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/v2/firm-position-limits:
    get:
      tags:
        - Firm Position Limits
      summary: List All Position Limits
      description: Retrieves position limits for all firms that the user has access to.
      operationId: listFirmPositionLimitsV2
      parameters: []
      responses:
        '200':
          description: Successfully retrieved all firm position limits
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FirmPositionLimitsResponseV2'
      deprecated: false
      security: []
components:
  schemas:
    FirmPositionLimitsResponseV2:
      type: object
      additionalProperties: false
      properties:
        firm_uuid:
          type: string
          example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
        long_daily_limit:
          type: integer
          format: int32
          example: 1000000
        short_daily_limit:
          type: integer
          format: int32
          example: 500000
        long_weekend_limit:
          type: integer
          format: int32
          example: 1000000
        short_weekend_limit:
          type: integer
          format: int32
          example: 500000
        long_real_limit:
          type: integer
          format: int64
          example: 1000000
        short_real_limit:
          type: integer
          format: int64
          example: 500000
        weekend_margin_multiplier:
          type: number
          format: double
          example: 2
        source:
          $ref: '#/components/schemas/FirmPositionLimitsSource'
        timestamp:
          type: string
          example: '2025-08-06T12:13:34Z'
    FirmPositionLimitsSource:
      type: string
      enum:
        - OVERRIDE
        - CLEARING_HOUSE
        - FCM
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````